Bug 185310 - emulators/tuxnes: Fix build with clang
Summary: emulators/tuxnes: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-30 21:10 UTC by tkato432
Modified: 2014-01-25 13:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.27 KB, patch)
2013-12-30 21:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-30 21:10:00 UTC
- Fix build with clang
- Add LICENSE
- Add DESKTOP_ENTRIES
Comment 1 Martin Wilke freebsd_committer 2014-01-19 13:49:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 dfilter service freebsd_committer 2014-01-19 13:49:28 UTC
Author: miwi
Date: Sun Jan 19 13:49:20 2014
New Revision: 340296
URL: http://svnweb.freebsd.org/changeset/ports/340296
QAT: https://qat.redports.org/buildarchive/r340296/

Log:
  - Fix build with clang
  - Add LICENSE
  - Add DESKTOP_ENTRIES
  
  PR:		185310
  Submitted by:	Ports Fury

Modified:
  head/emulators/tuxnes/Makefile   (contents, props changed)

Modified: head/emulators/tuxnes/Makefile
==============================================================================
--- head/emulators/tuxnes/Makefile	Sun Jan 19 13:48:29 2014	(r340295)
+++ head/emulators/tuxnes/Makefile	Sun Jan 19 13:49:20 2014	(r340296)
@@ -3,21 +3,40 @@
 
 PORTNAME=	tuxnes
 PORTVERSION=	0.75
-PORTREVISION=	4
+PORTREVISION=	6
 CATEGORIES=	emulators
 MASTER_SITES=	SF/${PORTNAME}/TuxNES/TuxNES%20v${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A Nintendo Entertainment System 8-bit emulator
+COMMENT=	Nintendo Entertainment System 8-bit emulator
+
+LICENSE=	GPLv2
 
 ONLY_FOR_ARCHS=	i386
 ONLY_FOR_ARCHS_REASON=	uses i386 assembly code
 
+USES=		compiler gmake
 USE_XORG=	x11 ice sm xext xpm
-USE_GMAKE=	yes
+USE_BINUTILS=	yes
 GNU_CONFIGURE=	yes
 
-PLIST_FILES=	bin/romfixer bin/tuxnes
+PLIST_FILES=	bin/romfixer bin/tuxnes share/pixmaps/tuxnes.xpm
+
+DESKTOP_ENTRIES="TuxNES" "" "${PREFIX}/share/pixmaps/tuxnes.xpm" \
+		"${PORTNAME}" "" ""
+
+.include <bsd.port.pre.mk>
+
+.if ${COMPILER_TYPE} == "clang"
+CPPFLAGS+=	-no-integrated-as
+.endif
+
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|^CFLAGS=|#CFLAGS=|' ${WRKSRC}/configure
+
+post-install:
+	(cd ${WRKSRC} && ${INSTALL_DATA} tuxnes.xpm \
+		${STAGEDIR}${PREFIX}/share/pixmaps)
 
-NO_STAGE=	yes
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2014-01-25 13:10:37 UTC
Author: miwi
Date: Sat Jan 25 13:10:29 2014
New Revision: 341029
URL: http://svnweb.freebsd.org/changeset/ports/341029
QAT: https://qat.redports.org/buildarchive/r341029/

Log:
  MFH: r340296
  
  - Fix build with clang
  - Add LICENSE
  - Add DESKTOP_ENTRIES
  
  PR:		185310
  Submitted by:	Ports Fury

Modified:
  branches/2014Q1/emulators/tuxnes/Makefile   (contents, props changed)
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/emulators/tuxnes/Makefile
==============================================================================
--- branches/2014Q1/emulators/tuxnes/Makefile	Sat Jan 25 13:08:42 2014	(r341028)
+++ branches/2014Q1/emulators/tuxnes/Makefile	Sat Jan 25 13:10:29 2014	(r341029)
@@ -3,21 +3,40 @@
 
 PORTNAME=	tuxnes
 PORTVERSION=	0.75
-PORTREVISION=	4
+PORTREVISION=	6
 CATEGORIES=	emulators
 MASTER_SITES=	SF/${PORTNAME}/TuxNES/TuxNES%20v${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A Nintendo Entertainment System 8-bit emulator
+COMMENT=	Nintendo Entertainment System 8-bit emulator
+
+LICENSE=	GPLv2
 
 ONLY_FOR_ARCHS=	i386
 ONLY_FOR_ARCHS_REASON=	uses i386 assembly code
 
+USES=		compiler gmake
 USE_XORG=	x11 ice sm xext xpm
-USE_GMAKE=	yes
+USE_BINUTILS=	yes
 GNU_CONFIGURE=	yes
 
-PLIST_FILES=	bin/romfixer bin/tuxnes
+PLIST_FILES=	bin/romfixer bin/tuxnes share/pixmaps/tuxnes.xpm
+
+DESKTOP_ENTRIES="TuxNES" "" "${PREFIX}/share/pixmaps/tuxnes.xpm" \
+		"${PORTNAME}" "" ""
+
+.include <bsd.port.pre.mk>
+
+.if ${COMPILER_TYPE} == "clang"
+CPPFLAGS+=	-no-integrated-as
+.endif
+
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|^CFLAGS=|#CFLAGS=|' ${WRKSRC}/configure
+
+post-install:
+	(cd ${WRKSRC} && ${INSTALL_DATA} tuxnes.xpm \
+		${STAGEDIR}${PREFIX}/share/pixmaps)
 
-NO_STAGE=	yes
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"